Grants, vesting & distributions

Get Calculations By Grant ID

Computes vesting dates, vested/withheld/settled units and current token price for one grant.

GEThttps://api.toku.com/tga/get-calculations-by-grant-id

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/tga/get-calculations-by-grant-id?grantID=%3CgrantID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "grantID": "string",
  "previousVestingDate": "string",
  "nextVestingDate": "string",
  "finalVestingDate": "string",
  "currentTokenPrice": 0,
  "numWithheldTokens": 0,
  "numVestedTokens": 0,
  "percentageVestedTokens": 0,
  "settledUnits": 0,
  "upcomingVestedUnits12Months": 0,
  "upcomingVestedUnitsNext12Months": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

grantIDstring<uuid>required

Response

200Successful response
grantIDstringrequired
previousVestingDatestring | nullrequired
nextVestingDatestring | nullrequired
finalVestingDatestringrequired
currentTokenPricenumberrequired
numWithheldTokensnumberrequired
numVestedTokensnumberrequired
percentageVestedTokensnumber | nullrequired
settledUnitsnumberrequired
upcomingVestedUnits12Monthsnumberrequired
upcomingVestedUnitsNext12Monthsnumberrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits